##########################################################################
#                                                                        #
#        Rich Topic  v1.0                                                #
#        copyright (c) 2005 Wolf and Associates                          #
#        written by: David Siedband david@wolfandassociates.com          #
#        open-source under the GPL v2.1 (see LICENSE.txt)                #
#                                                                        #
##########################################################################

from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import *
from Products.ATContentTypes.content.topic import ATTopic
from Products.ATContentTypes.content.schemata import finalizeATCTSchema

RichTopicSchema = ATTopic.schema.copy() + Schema((

    TextField('richContent',
              required=1,
              primary=1,
              searchable=1,
              default_output_type='text/x-html-safe',
              allowable_content_types=('text/restructured',
                                       'text/plain',
                                       'text/html'),
              widget=RichWidget,
              ),
              
    ))

finalizeATCTSchema(RichTopicSchema)

class RichTopic(ATTopic):
    """AT Smart Folder + HTML"""

    portal_type = meta_type = 'RichTopic'
    archetype_name = 'Rich Topic'
    schema = RichTopicSchema
    immediate_view = 'richtopic_view'
    default_view   = 'richtopic_view'
    content_icon = 'topic_icon.gif'
    typeDescription = 'Rich Topic'
    typeDescMsgId  = 'rich_topic'
    actions = ATTopic.actions

registerType(RichTopic)
